Subject: [Humanistroots] Forward of a message from Bill Jacobsen

From: "Richard O. Duda" <[email-masked]>
Date: Fri, 29 Jul 2005 08:41:18 -0700

We are sorry to announce that Al Dow had a stroke a few days ago. He has no 
family; the only family he has is The Humanist Community. At this moment 
even more important than visiting him at El Camino hospital would be 
helping to move his belongings out of his apartment so they can be placed 
in a storage facility.

The move takes place this Saturday, from 10 AM on. The location is 260 
North Mathilda just east of Central/Alma Expressway. Go between Buildings A 
and F. As you turn to your left, you'll see stairs that lead to his 
apartment, 5A.You may have some extra boxes that'd make things easier. So, 
even if you aren't physically able to work on the moving, it would help us 
if you could drop off the boxes for us to use.

Bill Jacobsen

_______________________________________________
Humanistroots mailing list
[email-masked]
http://uucpa.org/mailman/listinfo/humanistroots